<!--
SPDX-FileCopyrightText: Adam Evyčędo

SPDX-License-Identifier: GPL-3.0-or-later
-->

<PreferenceScreen xmlns:app="http://schemas.android.com/apk/res-auto">
	<PreferenceCategory app:title="Units">
	<ListPreference
		app:defaultValue="default"
		app:entries="@array/unit_entries"
		app:entryValues="@array/unit_values"
		app:icon="@drawable/units"
		app:key="unit_system"
		app:title="@string/units_title"
		app:useSimpleSummaryProvider="true" />
	</PreferenceCategory>

	<PreferenceCategory app:title="Geocoding">
		<SwitchPreferenceCompat
			app:defaultValue="false"
			app:icon="@drawable/sync"
			app:key="autoupdate_cities_list"
			app:title="Update cities list weekly" />
		<Preference
			app:icon="@drawable/download"
			app:key="download_cities_list"
			app:title="Update cities list now" />
	</PreferenceCategory>

	<PreferenceCategory app:title="Appearance">
		<ListPreference
			app:defaultValue="italics"
			app:entries="@array/line_decorations"
			app:entryValues="@array/line_decorations_values"
			app:icon="@drawable/vehicle"
			app:key="line_decoration"
			app:title="@string/line_decorations"
			app:useSimpleSummaryProvider="true"
			/>
		<ListPreference
			app:defaultValue="grey_out"
			app:entries="@array/terminus_arrival_showing"
			app:entryValues="@array/terminus_arrival_showing_values"
			app:icon="@drawable/terminus"
			app:key="terminus_arrival_showing"
			app:title="@string/terminus_arrival_showing"
			app:useSimpleSummaryProvider="true"
			/>
	</PreferenceCategory>
</PreferenceScreen>